﻿# You can place the script of your game in this file.

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define A = Character('Apple', color="#f36bae")
define Gy = Character('Guy', color="#5c8906")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"

image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"

#backgrounds
image bg_black = "bg_black.png"
image bg_flash = "bg_flashback.png"
image bg_empty1 = "bg_empty1.png"
image bg_elevator1 = "bg_life_shut.png"
image bg_elevator2 = "bg_life_open.png"
image bg_elevator3 = "bg_life2.png"
image bg_ine = "bg_life1.png"

# Variable
define elevator_max = 3
define current_elevator = 0
define in_elevator_lady = False 
define in_elevator_apple = False
define in_elevator_guy = False
define in_elevator_geek = False
define talked_lady = False
define talked_apple = False
define talked_geek = False
define talked_guy = False
define display_lady = True
define display_apple = True
define display_geek = True
define display_guy = True

# The game starts here.
label Room_elevator:

    show bg_black
    P "{i}Alright so, let’s rethink this situation.{/i}"
    hide bg_black

    show bg_flash
    P "{i}10 minutes ago on my way home, I thought I’d take a short cut and instead somehow found my way here...{/i}"
    hide bg_flash 

    scene bg_empty1
    P "{i}Where is here? A room of some kind.{/i}"

    P "{i}Oh, and I’m not the only person who seems to have gotten lost. There are four others here.{/i}"

    P "{i}What was everyone’s name again...?{/i}"

    P "{i}Oh, whatever I’ll just make them up.{/i}"

    show chara_lady
    P "{i}She can be \'Lady\'.{/i}"
    hide chara_lady

    show chara_guy
    P "{i}That guy can be... er...\'Guy\'."
    hide chara_guy

    show chara_geek
    P "{i}The other guy can be \'Geek\'."
    hide chara_geek

    show chara_apple
    P "{i}And she can be \'Apple\'."
    hide chara_apple

    P "{i}Now, what should I do?{/i}"

label chat_menu:
    scene bg_empty1
    if talked_lady and talked_guy and talked_apple and talked_geek:
        jump elevator_partB
menu: 
    "Talk to Lady" if display_lady:
        jump chat_lady
    "Talk to Guy" if display_guy:
        jump chat_guy
    "Talk to Geek" if display_geek:
        jump chat_geek
    "Talk to Apple"if display_apple:
        jump chat_apple

label chat_lady:
    
    P "Hello!"

    if talked_lady:
        
        show chara_lady
        "Sorry I'm too busy to talk right now."
        hide chara_lady
        $ display_lady = False

    else:
        show chara_lady
        L "Hello."

        P "What are you doing?"

        L "I'm trying to find an exit."
        hide chara_lady

        show L_Talky
        L "I have two kids at home and I'd like to get back to them soon."

        L "If you aren't doing anything you should help find a way out of here."

        L "Now run along."
        $ talked_lady = True
        hide L_Talky

    jump chat_menu

label chat_guy:

    scene bg_elevator1    
    P "Hello!"

    if talked_guy:
        show chara_guy
        Gy "..."
        Gy "...."
        Gy "..."

        P "{i}Better leave him alone.{/i}"
        hide chara_guy
        $ display_guy = False

    else:
        show chara_guy
        Gy "Hey!"

        P "What are you doing?"
        hide chara_guy

        show Gy_Talky
        Gy "I'm trying to get these metal doors open."
        hide Gy_Talky

        show chara_guy
        P "Alright, I'll let you get back to work."

        Gy "See ya."

        $talked_guy = True
        hide chara_guy

    hide bg_elevator1
    jump chat_menu

label chat_geek:
    
    P "Hello!"

    if talked_geek:
        show Gk_Happy
        Gk "Found anything?"
        
        P "No sorry!"

        Gk "That's ok. Keep up the good work."
        
        hide Gk_Happy
        $ display_geek = False
    
    else:
        show chara_geek
        Gk "Hey!"

        P "What are you doing?"

        Gk "Just looking around."
        hide chara_geek

        show Gk_Sad
        Gk "I think we're in one of those old automated labyrinths."

        P "Automated labyrinths?"
        hide Gk_Sad

        show chara_geek
        Gk "I heard they use to build these ages ago. I’m not sure about the full details."

        Gk "Hey, if you find anything interesting, let me know!"

        P "Alright!"
        hide chara_geek
        $ talked_geek = True
    
    jump chat_menu

label chat_apple:
    
    P "Hello!"

    if talked_apple:
        show A_Happy
        A "Hi again!"
        A "Can I help you with anything?"

        P "Just saying hi."

        A "Alright."
        hide A_Happy
        $ display_apple = False

    else:
        show chara_apple
        A "Hi!"

        P "What are you doing?"

        A "Not much."
        hide chara_apple

        show A_Sad         
        A "Everyone is trying to find a way out of here but I'm not sure what I can do."
        hide A_Sad

        show A_Happy
        A "Is there anything I can help you with?"

        P "No, I'm fine. I'm just looking around."

        A "Well, if you need help with anything I'll be happy to help."

        P "Ok! bye."
        hide A_Happy
        $ talked_apple = True

    jump chat_menu

label elevator_partB:
    
    P "{i}I should look for a way out too...{/i}"

    Gy "Hey! Guys come here!"

    "Everyone rushes over to where Guy is."

    scene bg_elevator2
    with Dissolve (.5)
    pause .5

    show Gy_Happy
    Gy "Good news! I got the doors open!"
    hide Gy_Happy

    "The two metal doors open up to a small room."

    P "An elevator!"

    show Gk_Happy
    Gk "The lights are still on. I think it should work!"
    hide Gk_Happy

    "Everyone squishes into the elevator."

    scene bg_elevator3
    with Dissolve (.5)
    pause .5       

    "Guy pushes the buttons over and over."

    "Nothing happens."

    show Gk_Talky
    Gk "I think we’re over the weight limit. Look!"
    hide Gk_Talky

    "Geek points to a sign above the buttons."
    show Gk_Talky
    Gk "\'Maximum capacity four people.\'"

    Gk "Looks like we need to split up."
    hide Gk_Talky

    show L_Happy
    L "Well, women and children first right?" 
    hide L_Happy

    show L_Talky
    L "You guys can stay behind and we’ll go first."
    hide L_Talky

    show Gy_Annoyed
    Gy "That’s not fair! I opened the doors, I should be in the first group!"
    hide Gy_Annoyed

    show Gk_Sad
    Gk "I'm okay with waiting. You four can go first."
    hide Gk_Sad

    "Lady turns to Guy."

    show chara_lady
    L "Fine, you can be part of the women and children grup!"
    hide chara_lady

    show chara_apple
    show chara_lady at right
    show chara_guy at left
    P "{i}So, myself, Lady, Apple and Guy will take the elevator first. While Geek will catch it later.{/i}"
    hide chara_apple
    hide chara_lady
    hide chara_guy

    "Guy hits the button to close the door."

    "..."

    "...."

    "....."

    "Nothing happens."

    show Gy_Talky
    Gy "I think we might be still too heavy..."
    hide Gy_Talky

    show chara_apple
    A "...."
    
    L "..."

    P "...."

    Gy "..."

    hide chara_apple
    show A_Sad

    A "...Oh..."

    A "Um, I can get out and swap places."
    hide A_Sad

    show chara_guy
    Gy "That'll work."
    hide chara_guy

    "Apple and Geek swap places."

    show Gy_Talky
    show chara_geek at left
    show chara_lady at right 
    Gy "Ok. So us four and she can catch it next?"
    hide chara_geek
    hide chara_lady
    hide Gy_Talky

    show L_Talky
    L "You can’t leave a young lady here alone! Why can’t you just wait?"
    hide L_Talky

    show Gy_Annoyed
    Gy "No way!"
    hide Gy_Annoyed

    show chara_guy
    Gy "Today is my five year anniversary with my girl! I’ve been planning to propose to her tonight for ages!"
    hide chara_guy

    show Gy_Annoyed
    Gy "I can’t waste any more time, I need to get out of here as soon as I can!"
    hide Gy_Annoyed

    show L_Annoyed
    L "We all have a reason why we need to get out of here!"
    hide L_Annoyed

    show L_Talky
    L "I have two kids waiting for me!"
    hide L_Talky

    show Gk_Sad
    Gk "Sigh. This isn't going anywhere..."
    hide Gk_Sad

    show Gk_Talky
    Gk "Hey [playername!t], you’re the youngest. You should go first."  
   
    Gk "You should also pick who to take."
    hide Gk_Talky

    show Gk_Happy 
    Gk "Sounds fair everyone?"
    hide Gk_Happy

    show chara_apple
    show chara_lady at right
    show chara_guy at left 
    Gy "Fine."
    hide chara_apple
    hide chara_lady
    hide chara_guy

    P "{i}Hmm.{/i}"

    P "{i}If I leave Apple behind I can take everyone else, or I can take Apple and two other people will have to stay behind.{/i}"

label pick_menu:
    
    if current_elevator == elevator_max:
        jump full_elevator
    
    else:
        P "{i}Who to take?{/i}"
        
        menu: 
            "Lady" if not in_elevator_lady:
                jump pick_lady

            "Guy" if not in_elevator_guy:
                jump pick_guy

            "Geek" if not in_elevator_geek:
                jump pick_geek

            "Apple" if not in_elevator_apple:
                jump pick_apple

#Player picks Lady
label pick_lady:
    
    if current_elevator < elevator_max:
        
        if not in_elevator_lady:
            $ current_elevator += 1
            $ in_elevator_lady = True
            show L_Happy
            "Lady comes into the elevator."
            hide L_Happy

            jump pick_menu
        
        else:
            "Lady is already in the elevator."

            jump pick_menu

    else: 
        jump full_elevator

#Player picks Guy
label pick_guy:
    
    if current_elevator < elevator_max:
        
        if not in_elevator_guy:
            $ current_elevator += 1
            $ in_elevator_guy = True
            show Gy_Happy
            "Guy joins the group."
            hide Gy_Happy

            jump pick_menu
        
        else:
            "Guy is already in the elevator."

            jump pick_menu

    else: 
        jump full_elevator

#Player picks Geek
label pick_geek:
    
    if current_elevator < elevator_max:
        
        if not in_elevator_geek:
            $ current_elevator += 1
            $ in_elevator_geek = True
            show Gk_Sad
            "Geek goes into the elevator."
            hide Gk_Sad

            jump pick_menu
        
        else:
            "Geek is already in the elevator."

            jump pick_menu

    else: 
        jump full_elevator

#Player picks Apple
label pick_apple:

    if current_elevator + 2 <= elevator_max:
        
        if not in_elevator_apple:
            $ current_elevator += 2
            $ in_elevator_apple = True
            show A_Happy
            "Apple hops into the elevator."
            hide A_Happy

            jump pick_menu
        
        else:
            "Apple is already in the elevator."

            jump pick_menu

    else:
        "Apple will not fit in the elevator."
        jump pick_menu

#END
label full_elevator:
    "The elevator is full now."
    
#ESCAPED
    
    P "{i}so...{/i}"
    
    if in_elevator_lady:  
        show chara_lady
        P "{i}Lady,{/i}"
        hide chara_lady

    if in_elevator_apple:
        show A_Happy
        P "{i}Apple,{/i}"
        hide A_Happy

    if in_elevator_guy:
        show chara_guy
        P "{i}Guy,{/i}"
        hide chara_guy

    if in_elevator_geek: 
        show chara_geek
        P "{i}Geek,{/i}"
        hide chara_geek

    P "{i}and myself are all part of the first group to take the elevator.{/i}"

#LEFT BEHIND
    
    if not in_elevator_lady:  
        show L_Annoyed
        L "Hurry up and go already, so I can leave soon."
        hide L_Annoyed

    if not in_elevator_apple:
        show A_Sad
        P "{i}Apple will need to wait for the elevator to come back...{/i} "
        A "See you soon!"
        hide A_Sad

    if not in_elevator_guy:
        show Gy_Annoyed
        Gy "Unbelievable..."
        hide Gy_Annoyed

    if not in_elevator_geek: 
        show Gk_Happy
        Gk "Bye."

        P "{i}There's something strange about Geek's tone...{/i}"
        hide Gk_Happy

    scene bg_ine
    with Dissolve (.5)
    pause .5
    "And then the elevator doors shut and begins to move."


#NEXT ROOM
    
    if not in_elevator_apple:
        jump Room_vote

    if not in_elevator_lady: 
    
        if not in_elevator_guy:
            jump Room_Run
        
        else:
            jump Room_Doors

    if not in_elevator_geek: 
        jump Room_pressure

return
