﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define Gy = Character('Guy', color="#5c8906")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"

image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"

image bg_black = "bg_black.png"
image bg_ine = "bg_life1.png"
image bg_4D = "bg_4doors.png"
image bg_booth = "bg_vbooth.png"

# Variable
define votelady = False
define votegeek = False
define voteguy = False

# The game starts here.
label Room_vote:
    scene bg_ine

    show chara_geek at right
    show chara_guy at left
    show chara_lady

    "Everyone is crammed tightly inside the elevator. It's cramped."
    hide chara_lady

    show L_Talky    
    L "I don't think we should have left her alone..."
    hide L_Talky
    show chara_lady

    hide chara_geek
    show Gk_Sad at right
    Gk "I could have stayed with her..."
    hide Gk_Sad
    show chara_geek at right

    hide chara_guy
    show Gy_Talky at left behind chara_lady
    Gy "Bit late for that."

    Gy "Anyway, I'm sure she'll be fine."
    hide Gy_Talky
    show chara_guy at left behind chara_lady

    hide chara_lady
    show L_Happy
    L "That girl reminds me of one of my children."

    L "So sweet and helpful."
    hide L_Happy
    show chara_lady

    hide chara_guy
    show Gy_Happy at left behind chara_lady
    Gy "My girlfriend is like that."

    Gy "My girlfriend is always so helpful, kind and sweet."

    "The elevator stops."

    hide Gy_Happy
    show Gy_Annoyed at left behind chara_lady
    Gy "Finally."
    hide Gy_Annoyed
    hide chara_lady
    hide chara_geek

    "The doors opened and everyone fell out."

    scene bg_4D
    with Dissolve (.5)
    pause .5

    show chara_guy
    Gy "It was way to stuffy in there."
    hide chara_guy

    show Gk_Happy
    Gk "I'll send the elevator back dow-"
    hide Gk_Happy
    show Gk_Talky
    Gk "Huh?"

    P "What's wrong?"

    Gk "The elevator has turned itself off... nothing is working."
    hide Gk_Talky

    show chara_guy
    Gy "Well. Nothing we can do about that."
    hide chara_guy

    show Gy_Happy
    Gy "Anyway, check this out."

    Gy "There’s like four booths next to each other."

    Gy "I'm checking out this one on the far left."
    hide Gy_Happy

    show chara_lady
    L "I'm going to take a look at the one on the right then."
    hide chara_lady

    show Gk_Happy
    Gk "Well, [playername!t] guess we should check out a booth each too."
    hide Gk_Happy

    "Geek takes the second left. I head into the one next to it."

    scene bg_booth
    with Dissolve (.5)
    pause .5

    "The only thing inside the booth is a touchscreen."

    "\'Only three people may advance into the next room.\'" 

    P "{i}What?{/i}"

    "\'Who in which booth do you want to leave behind?\'"

    P "{i}Looks like I won't be able to leave till I vote for a booth...{/i}"

    P "{i}Ok, if I remember correctly...{/i}" 

    P "{i}Booth 1 - Guy{/i}"
    P "{i}Booth 2 - Geek{/i}"
    P "{i}Booth 3 - Me{/i}"
    P "{i}Booth 4 - Lady{/i}"

    P "{i}So, who is going to stay behind?{/i}"

menu:
    "Booth 1 (Guy)":
        jump vote_guy

    "Booth 2 (Geek)":
        jump vote_geek

    "Booth 4 (Lady)":
        jump vote_lady

label vote_geek:
    $ votegeek = True 
    jump vote_cast 

label vote_guy:
    $ voteguy = True 
    jump vote_cast 

label vote_lady:
    $ votelady = True 
    jump vote_cast 

label vote_cast:
    "Your vote has been casted. Thank you."

    "A few seconds later the screen lights up again."

    if votegeek == True:
        "Booth 1... 1 vote"
        "Booth 2... 2 vote"
        "Booth 3... 0 vote"
        "Booth 4... 1 vote"

        P "{i}No one voted for me?{/i}"

        "The doors behind reopen."

        "Everyone but Geek steps out from their booth."
        jump vote_end

    if voteguy == True:
        "Booth 1... 2 vote"
        "Booth 2... 1 vote"
        "Booth 3... 0 vote"
        "Booth 4... 1 vote"

        P "{i}No one voted for me?{/i}"

        "The doors behind reopen."

        "Everyone but Guy steps out from their booth."
        jump vote_end

    if votelady == True:
        "Booth 1... 1 vote"
        "Booth 2... 1 vote"
        "Booth 3... 0 vote"
        "Booth 4... 2 vote"

        P "{i}No one voted for me?{/i}"

        "The doors behind reopen."

        "Everyone but Lady steps out from their booth."
        jump vote_end

label vote_end: 

    "The elevator reopens, the lights are back on."

    scene bg_ine
    with Dissolve (.5)
    pause .5

    "Everyone steps in. It’s no longer as cramped as it was before."

    if votegeek == True:
        jump Room_stairs

    if voteguy == True:
        jump Room_bridge

    if votelady == True:
        jump Room_boat

return
